echo "Base utility start.." >>C:\SWWORK\Modules.log

reg.exe add "HKLM\Software\Lenovo\FnApps" /v Components /t REG_MULTI_SZ /d \0 /f
reg Load HKLM\SoftTemp c:\windows\system32\config\Software

IF %ERRORLEVEL% NEQ 0 goto INSTALL

C:\swwork\Tool64\turbo.exe 5   

reg.exe add "HKLM\SoftTemp\Lenovo\FnApps" /v Components /t REG_MULTI_SZ /d \0 /f
reg unload HKLM\SoftTemp


:INSTALL
cmd.exe /c "%~dp0setup.exe /S /F /H"

if %errorlevel% NEQ 0 echo "Base Utility installing error" >> C:\SWWORK\Modules.log

